> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.bridge.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a mobile wallet push provisioning request

> Create a request to push-provision a virtual card to a mobile wallet. This endpoint is part of a multiple-step integration that must be completed with each mobile wallet partner



## OpenAPI

````yaml https://withbridge-image1-sv-usw2-monorail-openapi.s3.amazonaws.com/latest.json post /customers/{customerID}/card_accounts/{cardAccountID}/create_mobile_wallet_provisioning_request
openapi: 3.0.2
info:
  title: Bridge API
  description: APIs to move into, out of, and between any form of a dollar
  version: '1'
servers:
  - url: https://api.bridge.xyz/v0
    description: The base path for all resources
security:
  - ApiKey: []
tags:
  - name: Customers
  - name: Fiat Payout Configuration
  - name: External Accounts
  - name: Transfers
  - name: Prefunded Accounts
  - name: Balances
  - name: Liquidation Addresses
  - name: Developers
  - name: API Keys
  - name: Plaid
  - name: Virtual Accounts
  - name: Static Memos
  - name: Cards
  - name: Funds Requests
  - name: Webhooks
  - name: Lists
  - name: Crypto Return Policies
  - name: Rewards
  - name: Associated Persons
  - name: Sandbox
paths:
  /customers/{customerID}/card_accounts/{cardAccountID}/create_mobile_wallet_provisioning_request:
    post:
      tags:
        - Cards
      summary: Create a mobile wallet push provisioning request
      description: >-
        Create a request to push-provision a virtual card to a mobile wallet.
        This endpoint is part of a multiple-step integration that must be
        completed with each mobile wallet partner
      parameters:
        - $ref: '#/components/parameters/IdempotencyKeyParameter'
        - $ref: '#/components/parameters/CustomerIDParameter'
        - $ref: '#/components/parameters/CardAccountIDParameter'
      requestBody:
        description: A mobile wallet push provisioning request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PostCardPushProvisioningInput'
      responses:
        '200':
          description: A successful push provisioning response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CardPushProvisioningResponse'
        '400':
          $ref: '#/components/responses/BadRequestError'
        '401':
          $ref: '#/components/responses/AuthenticationError'
        '500':
          $ref: '#/components/responses/UnexpectedError'
components:
  parameters:
    IdempotencyKeyParameter:
      in: header
      name: Idempotency-Key
      required: true
      schema:
        type: string
    CustomerIDParameter:
      name: customerID
      in: path
      required: true
      schema:
        $ref: '#/components/schemas/Id'
    CardAccountIDParameter:
      name: cardAccountID
      in: path
      required: true
      schema:
        $ref: '#/components/schemas/Id'
  schemas:
    PostCardPushProvisioningInput:
      required:
        - initiator
      properties:
        wallet_provider:
          allOf:
            - $ref: '#/components/schemas/CardWalletProvider'
          description: The wallet provider of the push provisioning request
        apple_pay:
          description: >-
            Apple Pay specific provisioning request data. Required for
            `apple_pay` wallet provider.
          required:
            - leaf_cert
            - subordinate_cert
            - nonce
            - nonce_signature
          properties:
            encoding:
              type: string
              description: >-
                Specifies the encoding of each field in the Apple Pay
                provisioning request. Defaults to `hex` if unspecified.
              enum:
                - base64
                - hex
            leaf_cert:
              type: string
              description: >-
                The leaf certificate returned by the wallet provider that was
                signed using the subordinate cert. The binary data of this
                certificate should be hex (case-insensitive) or base64 encoded,
                as specified by the encoding field
            subordinate_cert:
              type: string
              description: >-
                The subordinate certificate returned by the wallet provider that
                was signed using the wallet provider's Certificate Authority
                (CA) certificate. The binary data of this certificate should be
                hex (case-insensitive) or base64 encoded, as specified by the
                encoding field
            nonce:
              type: string
              description: >-
                The nonce value returned by Apple Pay. It should be hex
                (case-insensitive) or base64 encoded, as specified by the
                encoding field
            nonce_signature:
              type: string
              description: >-
                The nonce signature value returned by Apple Pay. It should be
                hex (case-insensitive) or base64 encoded, as specified by the
                encoding field
        google_pay:
          description: >-
            Google Pay specific push provisioning request data. Required for
            `google_pay` wallet provider.
          required:
            - client_wallet_account_id
            - client_device_id
          properties:
            client_wallet_account_id:
              type: string
              description: Value returned by Google Pay for use with Visa
            client_device_id:
              type: string
              description: Value returned by Google Pay for use with Visa
    CardPushProvisioningResponse:
      description: The mobile wallet push provisioning response
      required:
        - card_account_id
        - initiator
        - reason
        - created_at
        - status
      properties:
        wallet_provider:
          allOf:
            - $ref: '#/components/schemas/CardWalletProvider'
          description: The wallet provider of the push provisioning request
        apple_pay:
          description: >-
            The detailed provisioning request data that need to be sent directly
            to the `apple_pay` wallet provider
          properties:
            activation_data:
              type: string
              description: >-
                The request's activation data. This field is always
                Base64-encoded
            encrypted_pass_data:
              type: string
              description: >-
                An encrypted JSON file containing the sensitive information
                needed to add a card to a wallet. This field is always
                Base64-encoded
            ephemeral_public_key:
              type: string
              description: >-
                A generated key that is combined with a private key. This field
                is always Base64-encoded
        google_pay:
          description: >-
            The detailed provisioning request data that need to be sent directly
            to the `google_pay` wallet provider
          properties:
            opaque_payment_card:
              type: string
              description: A Base64-encoded or Base64url-encoded opaque string
    Id:
      description: A UUID that uniquely identifies a resource
      type: string
      pattern: '[a-z0-9]*'
      minLength: 1
      maxLength: 42
    CardWalletProvider:
      type: string
      description: The mobile wallet provider
      enum:
        - apple_pay
        - google_pay
    Error:
      required:
        - code
        - message
      properties:
        code:
          type: string
          minLength: 1
          maxLength: 256
        message:
          type: string
          minLength: 1
          maxLength: 512
        source:
          title: ErrorSource
          required:
            - location
            - key
          properties:
            location:
              type: string
              enum:
                - path
                - query
                - body
                - header
            key:
              type: string
              description: >-
                Comma separated names of the properties or parameters causing
                the error
  responses:
    BadRequestError:
      description: Request containing missing or invalid parameters.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            BadCustomerRequestErrorExample:
              summary: Bad customer request
              value:
                code: bad_customer_request
                message: fields missing from customer body.
                name: first_name,ssn
    AuthenticationError:
      description: Missing or invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            MissingTokenError:
              summary: No Api-Key header
              description: The header may be missing or misspelled.
              value:
                code: required
                location: header
                name: Api-Key
                message: Missing Api-Key header
            InvalidTokenError:
              summary: Invalid key in Api-Key header
              value:
                code: invalid
                location: header
                name: Api-Key
                message: Invalid Api-Key header
    UnexpectedError:
      description: Unexpected error. User may try and send the request again.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            UnexpectedError:
              summary: An unexpected error
              value:
                errors:
                  - code: unexpected
                    message: An expected error occurred, you may try again later
  securitySchemes:
    ApiKey:
      type: apiKey
      name: Api-Key
      in: header

````